@charset "UTF-8";

/*共通部分
---------------------*/
html {
    font-size: 100%;
}

body {
    color: #fffaed;
    margin: 0;
    text-align: center;
    background-color: #fffaed;
}

h1 {
    padding-right: 5rem;
}


h2 {
    font-size: 2.5rem;
    padding-bottom: 5px;
    font-family: "Tsukimi Rounded", sans-serif;
}

h3 {
    font-size: 1.5rem;
    padding-top: 15px;
    padding-bottom: 20px;
}

/* section {
    scroll-margin-top: 100px;
} */


.br-sp {
    display: none;
}

.br-sp1 {
    display: none;
}

.br-pc {
    display: block;
}

#h-nav ul {
    display: flex;
    align-items: center;
    gap: 6rem;
}

#h-nav a {
    color: #fffaed;
}

#h-nav ul a:hover {
    color: #f5c51d;
}

li {
    list-style-type: none;

}

a {
    color: #abcc33;
    text-decoration: none;
}


header {
    background-color: #abcc33;
    height: 80px;
    width: 100%;
    margin: 0;
    position: fixed;
    z-index: 999;

}

.header-inner {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

/* ヘッダーロゴ　色変え　ここから */

.logo-img {
    margin: 0;
    padding-top: 7px;
    padding-left: 15px;
}

.logo-img a {
    display: block;
    width: 210px;
    height: 70px;
    background-image: url("../imges/top/logo1.png");
}

.logo-img a:hover {
    background-image: url("../imges/top/logo1-2.png");
}

/* ヘッダーロゴ　色変え　ここまで */

.main_visual img {
    width: 100%;
    padding-bottom: 200px;
    margin-top: 80px;
}

#history {
    position: relative;
    text-align: center;
    scroll-margin-top: 260px;
}

.history-box {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    position: relative;

}


.history-text,
.history-media {
    z-index: -1;
}

.history-title {
    text-align: left;
    padding-top: 40px;
}

.history-subtitle {
    text-align: left;
}

.history-text {
    position: absolute;
    bottom: -300px;
    right: 52%;
}


.history-text p {
    flex: 1;
    text-align: left;
}



.tennai-img {
    position: absolute;
    right: 12%;
    bottom: 10px;
    top: 100px;
    width: 446px;
    border-radius: 5%;
    overflow: hidden;
    margin: 0;
}

.tennai-img img {
    width: 340px;
    height: auto;
    object-fit: cover;
    display: block;
}

/*緑の背景（面）*/
.history-box::before {
    content: "";
    /*擬似要素を表示するために必須*/
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 70vw;
    height: 350px;
    background-color: #abcc33;
    border-top-right-radius: 28px;
    border-bottom-right-radius: 28px;
    z-index: -2;
}

.tsuyaharuka {
    position: relative;
}

.tsuyaharuka img {
    width: 260px;
    height: auto;
    position: absolute;
    left: 400px;
    top: 400px;
}

.usagi {
    position: relative;
}

.usagi img {
    width: 260px;
    height: auto;
    position: absolute;
    left: 100px;
    top: 700px;
}

#concept {
    margin: 0 auto;
    justify-content: center;
    margin-top: 650px;
}

.concept-text h3 {
    color: #876A27;
}


.concept-text {
    color: #876A27;
    padding: 80px 140px;
}

/*コンテンツ幅*/
.concept-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    margin: 0 20px;
}

.concept-inner-2 {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    margin: 0 20px;
}

/*タイトル*/
.concept-title {
    color: #876A27;
    text-align: center;
    margin-bottom: 150px;
}

.concept-title h2 {
    color: #abcc33;
    margin-bottom: 50px;
    font-family: "Tsukimi Rounded", sans-serif;
    font-weight: 600;
    font-style: normal;
}

.concept-title h3 {
    font-size: 18px;
}



.concept-text p {
    line-height: 1.8;
    margin-left: 4px;
}


.concept-img-1 img,
.concept-img-2 img {
    border-radius: 5%;
    width: auto;
    width: 100%;
    height: auto;

}



/*こだわりボタン　ここから　*/
.kodawari-img img {
    margin-top: 40px;

}

.kodawari-img img:hover {
    opacity: 1;
    transform: scale(1.1);
    transition: 1s;

}

/*こだわりボタン　ここまで　*/
/*-----iwasaki CSS-----*/

.wrapper {
    width: 100%;
    /* 画面幅に追従 */
    max-width: 1120px;
    /* PC上限 */
    margin: 0 auto;
}


.top-menu-bar {
    width: 100%;
    /* 1120px → 100% */
    height: 130px;
    background-color: #ADCC33;
    display: flex;
    justify-content: center;
    /* 横中央 */
    align-items: center;
    /* 縦中央 */
    margin-top: 100px;
}

.top-menu-title {
    color: #FFFAED;
    margin: 0;
    /* 余計なズレ防止 */
    padding: 0;
    /* padding削除 */
    font-family: "Tsukimi Rounded", sans-serif;
}

.top-menu-sub {
    color: #876A27;
    text-align: center;
    margin-top: 110px;
    font-size: 32px;
}

.top-menu-img1 {

    width: 350px;
    padding: 30px;
}

.top-menu-ranking {
    display: flex;
    align-items: center;

}

.top-menu-figure {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.top-menu-name {
    color: #876A27;
    font-size: 32px;
    padding-left: 20px;
    margin-top: 28px;
}

.top-menu-rank1 {
    margin-bottom: 40px;
}

.top-menu-img2 {
    border-radius: 50%;
    width: 300px;
    height: 300px;
    margin: 30px;
    object-fit: cover;
}

.top-menu-container {
    display: flex;
    justify-content: space-around;
    gap: 24px;
    flex-wrap: wrap;
    /* 追加：はみ出し防止 */
    margin-bottom: 110px;
}

.top-menu-more-box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.top-menu-more {
    text-align: center;

}


/* moreボタン　ここから　*/

.top-menu-more img {
    max-width: 80%;
    height: auto;
    margin: 20px 0;
}

.top-menu-more img:hover {
    opacity: 1;
    transform: scale(1.06);
    transition: 1s;

}

/* moreボタン　ここまで　*/

.top-menu-more-usagi img {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 40px;
}

.top-shop {
    display: flex;
    color: #876A27;
    flex-direction: column;
    justify-content: center;
}


.top-menu-map.wrapper iframe {
    width: 100%;
    aspect-ratio: 600 / 360;
    height: auto;
    display: block;
}

#instagram {
    margin-top: 50px;
    margin-bottom: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
}



.top-menu-address.wrapper {
    font-size: 20px;
    /* PC基準 */
}

/*iwasaki css　ここまで　*/


#access {
    background-color: #ADCC33;
    padding-bottom: 150px;
    scroll-margin-top: 100px;
}

.access-title {
    color: #FFFAED;
    text-align: center;
    padding: 60px;
    font-family: "Tsukimi Rounded", sans-serif;
}

.access-text {
    color: #876A27;
    text-align: left;
    vertical-align: top;
    margin: 0 auto;
    background: #fffaed;
    border-spacing: 0.5rem;
    line-height: 1.7;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90%;
    max-width: 820px;
}

th {
    padding-right: 1rem;
    vertical-align: top;

}

td {
    vertical-align: top;
    overflow: hidden;
    font-size: 1rem;
}

.access-box .map {
    width: 90%;
    max-width: 820px;
    margin: 50px auto;
    box-sizing: border-box;
}

.map {
    aspect-ratio: 820/540;
    overflow: hidden;
}

.map iframe {
    width: 100%;
    height: 100%;
    max-width: 20px 0;
    display: block;
}

.line {
    background-image: url('../imges/top/ine.png');
    background-size: 600px;
    background-position: top;
    background-repeat: repeat-x;
    background-color: #fffaed;
    padding-bottom: 50px;
    margin: 0px;
}

footer {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #abcc33;
    margin: 0;
    height: 100px;
}

/*　デスクトップ版　--------------------------*/
@media (min-width: 1149px) {
    .hamburger {
        display: none;
    }

    #header-menu {
        display: none;
    }
}

/*スマホ版*/
@media(max-width:1148px) {
    #h-nav {
        display: none;
    }

    .header-inner {
        display: flex;
        justify-content: flex-start;
    }

    .main_visual img {
        object-fit: cover;
        height: 600px;
    }

    .history-box {
        position: static;
        flex-direction: column;
        align-items: center;
        width: 80%;
        margin: 0 auto;

    }

    .history-text {
        position: static;
        font-size: 1.1rem;
    }

    .history-media {
        margin: auto 20px;
    }



    .tennai-img {
        position: static;
        margin-top: 30px;
        width: 80%;
        min-width: 320px;
    }


    .history-box::before {
        width: 100vw;
        height: 710px;
        border-radius: 0%;
    }

    .tsuyaharuka img {
        display: none;
    }

    .usagi img {
        display: none;
    }

    #concept {
        margin-top: 100px;
        overflow: hidden;
    }

    .concept-title {
        margin-bottom: 100px;
    }

    .concept-text {
        padding: 60px 60px;

    }

    .concept-inner {
        display: flex;
        align-items: center;
        flex-direction: column;
        gap: 0;

    }

    .concept-inner-2 {
        display: flex;
        align-items: center;
        flex-direction: column-reverse;
        gap: 0;
    }

    .br-sp {
        display: block;
    }

    .br-sp1 {
        display: none;
    }

    .top-menu-bar {
        margin-top: 30px;
    }

    .access-box {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .access-container {
        background-color: #abcc33;
        width: 100%;
        /* padding: 0 20px; */
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .access-text {
        margin: 0;
        width: 90%;
    }


    .map {
        width: 100%;
        height: auto;
        aspect-ratio: 820/540;
    }

    .map iframe {
        width: 100%;
        height: 100%;
    }
}

@media(max-width:768px) {
    .main_visual img {
        padding-bottom: 80px;
    }

    #concept {
        margin: 0 auto;
        justify-content: center;
        margin-top: 200px;
    }

    .history-box {
        position: static;
        margin-bottom: 100px;
    }

    .tennai-img {
        width: 85%;
        height: auto;
        position: static;
    }

    .history-text {
        position: static;
        font-size: 0.85rem;
    }

    .br-sp1 {
        display: block;
    }

    .top-menu-more-usagi img {
        width: 60%;
        height: auto;

    }

    #access {
        padding-bottom: 0;
    }

    .access-title {
        padding: 25px;
    }

    th {
        width: 60px;
    }

    td,
    th {
        font-size: 0.8rem;
        padding: 0;
    }

    #instagram {
        gap: 20px;
    }

    .instagram-musubi img {
        width: 60px;
    }

    .instagram-logo img {
        width: 140px;

    }
}

/*◆◆◆◆◆◆◆◆◆◆　ハンバーガーメニュー　ここから　◆◆◆◆◆◆◆◆◆◆*/
.hamburger {
    position: absolute;
    top: 23px;
    right: 40px;
    cursor: pointer;
    width: 32px;
    height: 24px;
    z-index: 0;
}

.h-img {
    width: 70px;
    height: auto;
}

.hamburger span {
    /*3本の線を作る*/
    transition: all .3s;
    position: absolute;
    height: 3px;
    background-color: #fffaed;
    width: 100%;
    z-index: 0;
}

.hamburger:hover span {
    background-color: #f5c51d;
}

.hamburger span:nth-of-type(1) {
    /*上の線の位置*/
    top: 4px;
}

.hamburger span:nth-of-type(2) {
    /*真ん中の線の位置*/
    top: 14px;
}

.hamburger span:nth-of-type(3) {
    /*下の線の位置*/
    top: 24px;
}

.hamburger.open span:nth-of-type(1) {
    /*openのとき、上の線を右斜めにする*/
    top: 10px;
    transform: translateY(6px) rotate(-33deg);
}

.hamburger.open span:nth-of-type(2) {
    /*真ん中の線を消す*/
    opacity: 0;
}

.hamburger.open span:nth-of-type(3) {
    /*下の線を左斜めにする*/
    top: 22px;
    transform: translateY(-6px) rotate(33deg);
}

/*スマホ版ドロワーメニュー*/
#header-menu {
    height: calc(100vh - 60px);
    width: 50vw;
    position: fixed;
    top: 80px;
    right: -80vw;
    background: #fff4f0;
    transition: all 0.5s;
    font-size: 1rem;
    padding-top: 5rem;
    z-index: 0;
}

#header-menu ul {
    margin-top: rem;
    display: flex;
    flex-direction: column;
    align-items: center;

}

#header-menu li {
    margin-bottom: 10px;
}

#header-menu ul a:hover {
    color: #f5c51d;
}

.onigiri a {
    display: block;
    width: 70px;
    height: 67px;
    background-image: url("../imges/top/h_onigiri.svg");
    margin-bottom: 10px;
}

.onigiri a:hover {
    background-image: url("../imges/top/h_onigiri_2.svg");
}


/*ドロワーメニューが開いた時*/
#header-menu.open {
    right: 0;
}

/*◆◆◆◆◆◆◆◆◆◆　ハンバーガーメニュー　ここまで　◆◆◆◆◆◆◆◆◆◆*/